EDIT - feature request #9508

OpenID Connect 1.0 authentication with ORCID
03/03/2021 05:54 PM - Andreas Kohlbecker

Status: New Start date:

Priority: Priority13 Due date:

Assignee: Andreas Muller % Done: 0%
Category: cdmlib Estimated time: 0:00 hour
Target version: Phycobank ready for submitters

Severity: normal

Description

ORCID offers an OpenID Connect 1.0 (a simple identity layer on top of the OAuth 2.0 protocol) service which allows to use ORCIDs
to authenticate users ORCID_AUTH_WITH_OPENID_CONNECT an example of using in Spring Boot application is also provided in
the the ORCIF github repository:
https://github.com/ORCID/orcid-openid-examples/blob/master/really-simple-orcid-oauth/src/main/java/org/orcid/simple/ReallySimple
OrcidOauthApplication.java

Related issues:

Related to EDIT - feature request #9497: User self registration service Closed
Has duplicate EDIT - feature request #7014: Support for ORCID person ids in p... Duplicate
History

#1 - 03/03/2021 05:55 PM - Andreas Kohlbecker

- Description updated

#2 - 03/03/2021 05:55 PM - Andreas Kohlbecker

- Related to feature request #9497: User self registration service added

#3 - 03/03/2021 05:57 PM - Andreas Kohlbecker
- Tags changed from phycobank to phycobank, OAuth2

#4 - 08/02/2021 05:03 PM - Andreas Kohlbecker
- Subject changed from OpenlD Connect 1.0 aurthentication with ORCID to OpenlD Connect 1.0 authentication with ORCID

#5 - 03/01/2023 01:08 PM - Andreas Miiller
- Tags changed from phycobank, OAuth2 to phycobank, OAuth2, phycobank-ready-for-submitters

#6 - 03/01/2023 01:23 PM - Andreas Miiller

- Assignee changed from Andreas Kohlbecker to Andreas Miller

#7 - 01/24/2024 08:49 AM - Andreas Miiller
- Related to feature request #7014: Support for ORCID person ids in phycobank added

#8 - 01/24/2024 08:50 AM - Andreas Miiller

- Description updated
#9 - 01/24/2024 10:16 AM - Wolf-Henning Kusber
This was an idea discussed with Andreas K. A good idea, but we postponed it.

Currently, | see in Vaadin just the fields "Username" and "Password", for Register just "Email", and for Password Recovery the field "Username /email
address". | have no experience with authentification with ORCID, but | think this would be an interesting/good feature.

#10 - 01/24/2024 11:03 AM - Andreas Miiller
- Related to deleted (feature request #7014: Support for ORCID person ids in phycobank)

#11 - 01/24/2024 11:03 AM - Andreas Miiller
https://github.com/ORCID/ORCID-Source/blob/master/orcid-web/ORCID_AUTH_WITH_OPENID_CONNECT.md
https://github.com/ORCID/orcid-openid-examples/blob/master/really-simple-orcid-oauth/src/main/java/org/orcid/simple/ReallySimpleOrcidOauthApplication.java
https://github.com/ORCID/orcid-openid-examples/blob/master/really-simple-orcid-oauth/src/main/java/org/orcid/simple/ReallySimpleOrcidOauthApplication.java

- Has duplicate feature request #7014: Support for ORCID person ids in phycobank added
